Bug 4935 - Server Manager: "Alerts" not implemented
Server Manager: "Alerts" not implemented
Status: NEW
Product: Samba 4.0
Classification: Unclassified
Component: DCE-RPCs and pipes
All All
: P5 enhancement
: ---
Assigned To: Andrew Bartlett
Depends on:
  Show dependency treegraph
Reported: 2007-08-29 14:22 UTC by Matthias Dieter Wallnöfer
Modified: 2011-03-05 21:59 UTC (History)
1 user (show)

See Also:

Registry improvements (1.19 KB, text/plain)
2008-02-27 03:33 UTC, Matthias Dieter Wallnöfer
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Dieter Wallnöfer 2007-08-29 14:22:09 UTC
Under Computer/Properties
Comment 1 Matthias Dieter Wallnöfer 2007-09-04 15:31:01 UTC
This is caused by missing registry keys.
Comment 2 Jelmer Vernooij 2008-01-07 13:27:22 UTC
What sort of registry keys would be needed?
Comment 3 Matthias Dieter Wallnöfer 2008-01-07 15:25:20 UTC
This key is missing here:
Comment 4 Jelmer Vernooij 2008-01-07 16:36:40 UTC
This key is now created by the provision script, the one for bug 4934 too. More patches to setup/provision.reg are welcome :-)
Comment 5 Matthias Dieter Wallnöfer 2008-01-07 17:09:57 UTC
Jelmer, we aren't able to fix this issue until we have a case insensitive registry backend running. The problem is, that in some RPC's the key "SYSTEM" is called as "System" and in others as "SYSTEM". We have to figure out, how we are able to do case insensitive searches in LDB.
Comment 6 Jelmer Vernooij 2008-01-07 17:42:20 UTC
Fixed in Subversion :-) We support case insensitive key / value names now.
Comment 7 Matthias Dieter Wallnöfer 2008-01-08 15:28:36 UTC
Jelmer, here we fail because the value "AlertNames" under "Alerter/Parameters" is missing.
Comment 8 Jelmer Vernooij 2008-01-08 16:09:27 UTC
Any idea what it should be set to ? Patches to setup/provision.reg are welcome :-)
Comment 9 Matthias Dieter Wallnöfer 2008-01-24 09:11:23 UTC
"Alerts" seems to work now on my test environment. I'm able to add new computer- and usernames. The other issue to be handled is if SAMBA also supports the settings.
Comment 10 Matthias Dieter Wallnöfer 2008-02-27 03:33:08 UTC
Created attachment 3151 [details]
Registry improvements

Here I've a improved version of the provision.reg. It adds also the NT version number which seems to be necessary for this operation. I've chosen the one of Windows 2003 Server.
I also changed "System" in majuscule "SYSTEM" to match Windows but it's esthetically because the registry backend is case insensitive.
Comment 11 Jelmer Vernooij 2008-02-27 07:10:37 UTC
Thanks, I've applied your patch. Is this bug fixed now?
Comment 12 Matthias Dieter Wallnöfer 2008-02-27 07:21:34 UTC
No, we have to bring up the right RPC's.
Comment 13 Matthias Dieter Wallnöfer 2008-12-29 11:48:47 UTC
The alerts (function) as such works now (it uses the registry), but we don't send them because we haven't implemented this.
So my question here: Should we continue to work on it or let it uncompleted? I personally don't find it necessary.
Comment 14 Jelmer Vernooij 2009-05-05 05:38:53 UTC
I think we should keep this open as there may be some people interested in it but just keep it very low priority.
Comment 15 Jelmer Vernooij 2009-05-05 05:39:17 UTC
I think we should keep this open as there may be some people interested in it but just keep it very low priority.